Package org.eclipse.net4j.util.container.delegate

# Class ContainerSet<E>

java.lang.Object
org.eclipse.net4j.util.event.Notifier
org.eclipse.net4j.util.container.delegate.AbstractDelegator<E>
org.eclipse.net4j.util.container.delegate.ContainerCollection<E>
org.eclipse.net4j.util.container.delegate.ContainerSet<E>

All Implemented Interfaces:
  `Iterable<E>`, `Collection<E>`, `Set<E>`, `IContainerCollection<E>`, `IContainerSet<E>`, `IContainer<E>`, `INotifier`, `INotifier.INotifier2`

Direct Known Subclasses:
  `ContainerSortedSet`

public class ContainerSet<E> extends ContainerCollection<E> implements IContainerSet<E>
A default implementation of a `container set`.

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.net4j.util.container.delegate.AbstractDelegator

`AbstractDelegator.DelegatingIterator`

## Nested classes/interfaces inherited from class org.eclipse.net4j.util.event.Notifier

`Notifier.Cancelation`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

`IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`INotifier.INotifier2`

## Constructor Summary

Constructors
Constructor
Description
`ContainerSet(Set<E> delegate)`

## Method Summary

Modifier and Type
Method
Description
`Set<E>`
`getDelegate()`

### Methods inherited from class org.eclipse.net4j.util.container.delegate.ContainerCollection

`add, addAll, clear, contains, containsAll, equals, getElements, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

### Methods inherited from class org.eclipse.net4j.util.container.delegate.AbstractDelegator

`createEvent, dispatchEvent, fireAddedEvent, fireRemovedEvent`

### Methods inherited from class org.eclipse.net4j.util.event.Notifier

`addListener, addUniqueListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListener, hasListeners, lastListenerRemoved, listenerAdded, listenerRemoved, removeListener`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

`getElements, isEmpty`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.Set

`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`

## Constructor Details

### ContainerSet

public ContainerSet(Set<E> delegate)

## Method Details

### getDelegate

public Set<E> getDelegate()

Specified by:
  `getDelegate` in interface `IContainerCollection<E>`
Specified by:
  `getDelegate` in interface `IContainerSet<E>`
Overrides:
  `getDelegate` in class `ContainerCollection<E>`